
Infrastructure - Bug #7294

v2.cn.updateNodeCapabilities() does not updated node values

2015-08-15 00:21 - Ben Leinfelder

Status: Closed Start date: 2015-08-15

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

Calling from mn-demo-6 to cn-dev-ucsb-1 I can see the call going through the NodeController and putting the updated node on the

hzNodes map. But the new values are not saved and there is no indication that an attempt to persist the values in LDAP is made.

History

#1 - 2015-08-18 00:13 - Ben Leinfelder

- Status changed from New to Closed

- % Done changed from 0 to 100

needed to update node registry code to use UPPER case boolean values for node replicate and synch values. Then the process daemon needed to

be rebuilt/deployed in order for the hzNodes serialization to use this updated code. Now on cn-dev-ucsb-1

#2 - 2015-08-18 00:26 - Ben Leinfelder

and deployed the change the other 2 cn nodes
